---@enum EFilterMode
local EFilterMode = {
    FILTER_Or = 0,
    FILTER_And = 1,
    FILTER_Not = 2,
    FILTER_MAX = 3,
}

---@enum EPointCloudBoundsOption
local EPointCloudBoundsOption = {
    Compute = 0,
    Manual = 1,
    EPointCloudBoundsOption_MAX = 2,
}

---@enum EPointCloudPivotType
local EPointCloudPivotType = {
    Default = 0,
    WorldOrigin = 1,
    Center = 2,
    CenterMinZ = 3,
    EPointCloudPivotType_MAX = 4,
}

---@enum EPointCloudReloadBehavior
local EPointCloudReloadBehavior = {
    DontReload = 0,
    ReloadOnRun = 1,
    EPointCloudReloadBehavior_MAX = 2,
}

---@enum EPointCloudReportLevel
local EPointCloudReportLevel = {
    Basic = 0,
    Properties = 1,
    Values = 2,
    EPointCloudReportLevel_MAX = 3,
}

---@enum EPointCloudReportMode
local EPointCloudReportMode = {
    Invalid = 0,
    Report = 1,
    Execute = 2,
    ReportAndExecute = 3,
    EPointCloudReportMode_MAX = 4,
}

